"""correcting calibration script

Revision ID: e4452ab33088
Revises: 291edd508557
Create Date: 2021-05-05 11:23:05.906308

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "e4452ab33088"
down_revision = "291edd508557"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE workflow_templates
        SET content = 
        E'#!/bin/sh
        SCRIPTS_DIR=$(pycapo -q edu.nrao.workspaces.ProcessingSettings.scriptLocation)
           
        export PATH=$PATH:${SCRIPTS_DIR}
        
        framework.sh -d .
        cd rawdata/
        datafetcher --product-locator $1
        cd ../
        casa_envoy --standard-cal $3 $4
        deliver-cipl.sh ${PWD##*/}'
        WHERE filename = 'std_calibration.sh'
        """
    )
    pass


def downgrade():
    pass
